RDKit: RDKit::MolAlign::SDM Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
RDKit::MolAlign::SDM Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions
| SDM (const Conformer *prbConf=NULL, const Conformer *refConf=NULL, O3AConstraintVect *o3aConstraintVect=NULL)
| SDM (const SDM &other)
SDM & | operator= (const SDM &other)
| ~SDM ()
void | fillFromDist (double threshold, const boost::dynamic_bitset<> &refHvyAtoms, const boost::dynamic_bitset<> &prbHvyAtoms)
void | fillFromLAP (LAP &lap)
double | scoreAlignment (double(*scoringFunc)(const unsigned int, const unsigned int, void *), void *data)
void | prepareMatchWeightsVect (RDKit::MatchVectType &matchVect, RDNumeric::DoubleVector &weights, double(*weightFunc)(const unsigned int, const unsigned int, void *), void *data)
unsigned int | size ()

## Detailed Description

Definition at line 188 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

RDKit::MolAlign::SDM::SDM | ( | const Conformer * | prbConf = `NULL`,
|  | const Conformer * | refConf = `NULL`,
|  | O3AConstraintVect * | o3aConstraintVect = `NULL`
| ) |  |
| inline

Definition at line 191 of file O3AAlignMolecules.h.

RDKit::MolAlign::SDM::SDM | ( | const SDM & | other | ) |
| inline

Definition at line 197 of file O3AAlignMolecules.h.

RDKit::MolAlign::SDM::~SDM | ( |  | ) |
| inline

Definition at line 223 of file O3AAlignMolecules.h.

## Member Function Documentation

void RDKit::MolAlign::SDM::fillFromDist | ( | double | threshold,
|  | const boost::dynamic_bitset<> & | refHvyAtoms,
|  | const boost::dynamic_bitset<> & | prbHvyAtoms
| ) |  |

void RDKit::MolAlign::SDM::fillFromLAP | ( | LAP & | lap | ) |

SDM& RDKit::MolAlign::SDM::operator= | ( | const SDM & | other | ) |
| inline

Definition at line 209 of file O3AAlignMolecules.h.

void RDKit::MolAlign::SDM::prepareMatchWeightsVect | ( | RDKit::MatchVectType & | matchVect,
|  | RDNumeric::DoubleVector & | weights,
|  | double(*)(const unsigned int, const unsigned int, void *) | weightFunc,
|  | void * | data
| ) |  |

double RDKit::MolAlign::SDM::scoreAlignment | ( | double(*)(const unsigned int, const unsigned int, void *) | scoringFunc,
|  | void * | data
| ) |  |

unsigned int RDKit::MolAlign::SDM::size | ( |  | ) |
| inline

Definition at line 236 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h